[Parted-commits] GNU Parted Official Repository: Changes to 'master'

Jim Meyering meyering at alioth.debian.org
Wed May 18 15:25:31 UTC 2011


 bootstrap.conf                 |    1 +
 gnulib                         |    2 +-
 tests/t-local.sh               |    2 +-
 tests/t9040-many-partitions.sh |   12 ++++++++++++
 4 files changed, 15 insertions(+), 2 deletions(-)

New commits:
commit 09062a793c47d7143c1d1a2ae1456b6132786a8d
Author: Jim Meyering <meyering at redhat.com>
Date:   Wed May 18 17:08:30 2011 +0200

    build: update gnulib submodule to latest

diff --git a/gnulib b/gnulib
index 91fd934..2c25c9e 160000
--- a/gnulib
+++ b/gnulib
@@ -1 +1 @@
-Subproject commit 91fd934273607a4a395917d5230bd8dd5c866d94
+Subproject commit 2c25c9ebe8db1415bfde25f0a451767332c8cf59

commit 6cc393cc5471a086ad30e0943604261f2678970a
Author: Jim Meyering <meyering at redhat.com>
Date:   Wed May 18 16:46:38 2011 +0200

    tests: avoid nasty FP-causing race condition
    
    * tests/t9040-many-partitions.sh: Remove all partitions before
    exiting -- otherwise, the rmmod-prompted removal of those many
    partitions would continue long after rmmod completion and the
    release of the scsi_debug lock, and thus partition-device removals
    provoked by this test would cause failure in the subsequent test,
    e.g., when the devices for partitions 14,15,16 have just been
    successfully created (verified that they exist), yet the next
    step -- to create a file system on one of them -- fails or is
    erroneously skipped because the device has been removed asynchronously.

diff --git a/tests/t9040-many-partitions.sh b/tests/t9040-many-partitions.sh
index a768579..1282c1f 100644
--- a/tests/t9040-many-partitions.sh
+++ b/tests/t9040-many-partitions.sh
@@ -68,4 +68,16 @@ $AWK "BEGIN {d = $t_final - $t0; n = $n_partitions; st = 60 < d;"\
 parted -m -s $scsi_dev u s p > out || fail=1
 compare out exp || fail=1
 
+# We must remove these partitions before terminating.
+# Otherwise, even though cleanup-driven rmmod will eventually cause
+# them to be removed, they may continue to be removed long after
+# the rmmod cleanup lock has been released, and such removals
+# can (and regularly did) interfere with the following test.
+i=1
+while :; do
+    parted -s $scsi_dev rm $i || fail=1
+    test $i = $n_partitions && break
+    i=$((i+1))
+done
+
 Exit $fail

commit 37bb8d82458ae01779c81c12e88c0dbb79f5c055
Author: Jim Meyering <meyering at redhat.com>
Date:   Wed May 18 13:24:28 2011 +0200

    tests: add double quotes around another use of $VERBOSE
    
    * tests/t-local.sh (scsi_debug_setup_): Quote another $VERBOSE.

diff --git a/tests/t-local.sh b/tests/t-local.sh
index f89f81d..159cc62 100644
--- a/tests/t-local.sh
+++ b/tests/t-local.sh
@@ -94,7 +94,7 @@ scsi_debug_setup_()
   touch stamp
   modprobe scsi_debug "$@" || { rm -f stamp; return 1; }
   scsi_debug_modprobe_succeeded_=1
-  test $VERBOSE = yes \
+  test "$VERBOSE" = yes \
     && warn_ $ME_ modprobe scsi_debug succeeded
 
   # Wait up to 2s (via .1s increments) for the list of devices to change.

commit 9728bc283c7cd7e1c28bfdc9fb94814432851711
Author: Jim Meyering <meyering at redhat.com>
Date:   Wed May 18 09:57:36 2011 +0200

    build: list bc as a build-requirement
    
    * bootstrap.conf (buildreq): Also require "bc", since it's used
    in some of 'make check's tests.

diff --git a/bootstrap.conf b/bootstrap.conf
index ebbd2af..7c79d50 100644
--- a/bootstrap.conf
+++ b/bootstrap.conf
@@ -128,6 +128,7 @@ buildreq="\
 autoconf   2.61
 automake   1.11
 autopoint  -
+bc         -
 gettext    -
 git        1.4.4
 gperf      3.0.3



More information about the Parted-commits mailing list